cgGLLoadProgram(3)

NAME
cgGLLoadProgram - prepares a program for binding

SYNOPSIS
  #include <Cg/cgGL.h>
  void cgGLLoadProgram( CGprogram program );

PARAMETERS

program
    The program which will be loaded.

RETURN VALUES
None.

DESCRIPTION
cgGLLoadProgram prepares a program for binding. All programs must be loaded before they can be bound to the current state. See cgGLBindProgram for more information about binding programs.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if program's profile is not a supported OpenGL profile.

CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

CG_PROGRAM_LOAD_ERROR is generated if the program fails to load for any reason.

HISTORY
cgGLLoadProgram was introduced in Cg 1.1.

SEE ALSO
cgGLIsProgramLoaded, cgGLBindProgram